## CC 设置 (`cc-settings`)

平台级 CC 默认规则组与自动切换设置,仅管理员可改。

鉴权: 仅管理员 · 文档: https://www-demo.kuxitong.com/zh/docs/api/cc-settings

### GET `/api/v2/cc-settings`

获取 CC 设置 · 鉴权: 仅管理员

```sh
curl "https://panel.example.com/api/v2/cc-settings" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### PUT `/api/v2/cc-settings`

修改 CC 设置 · 鉴权: 仅管理员

请求体:

| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| `auto_switch` | CcAutoSwitch | 有 | CC 防护自动升级设置:攻击时自动切换到更严的规则组。 |
| `default_page_rule_id` | integer |  | 默认页(未绑定域名)用的平台 CC 规则组 id;null 或不带 = 不防护。 |
| `default_rule_id` | integer | 有 | 站点未选规则组时用的平台 CC 规则组 id;null = 节点缺省。 |
| `expected_updated_at` | string |  | 乐观锁:调用方读到的 updated_at(即配置 node.global 的版本,CC/WAF 设置与该键共用;读到为空用 1970-01-01T00:00:00Z)。与库里当前值不等则回 409 stale_version、不保存;不带则不检查。 |
| `updated_at` | string |  | 响应里的版本(node.global 配置键的 updated_at,没改过为空);修改时忽略,乐观锁用 expected_updated_at。 |

```sh
curl -X PUT "https://panel.example.com/api/v2/cc-settings" \
  -H "X-API-Key: $GOCDN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"auto_switch":{"enabled":false,"hold_s":300,"qps_50x":10,"qps_total":500,"rule_id":2},"default_rule_id":10002}'
```

CC 设置对象:

| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| `auto_switch` | CcAutoSwitch |  | CC 防护自动升级设置:攻击时自动切换到更严的规则组。 |
| `default_page_rule_id` | integer |  | 默认页(未绑定域名)用的平台 CC 规则组 id;null 或不带 = 不防护。 |
| `default_rule_id` | integer |  | 站点未选规则组时用的平台 CC 规则组 id;null = 节点缺省。 |
| `expected_updated_at` | string |  | 乐观锁:调用方读到的 updated_at(即配置 node.global 的版本,CC/WAF 设置与该键共用;读到为空用 1970-01-01T00:00:00Z)。与库里当前值不等则回 409 stale_version、不保存;不带则不检查。 |
| `updated_at` | string |  | 响应里的版本(node.global 配置键的 updated_at,没改过为空);修改时忽略,乐观锁用 expected_updated_at。 (只读) |
